Package Details: gnash-git 0.8.11.r22377.g2b3bded-1

Git Clone URL: https://aur.archlinux.org/gnash-git.git (read-only, click to copy)
Package Base: gnash-git
Description: The GNU SWF Player based on GameSWF - git development version
Upstream URL: http://www.gnu.org/software/gnash/
Licenses: GPL3
Conflicts: gnash, gnash-common, gnash-gtk
Provides: gnash, gnash-common, gnash-gtk
Replaces: gnash, gnash-common, gnash-gtk
Submitter: smoge
Maintainer: giorgianb
Last Packager: christoph.gysin
Votes: 68
Popularity: 0.002650
First Submitted: 2011-05-26 21:04
Last Updated: 2016-08-15 16:08

Dependencies (25)

Required by (1)

Sources (2)

Latest Comments

« First ‹ Previous ... 8 9 10 11 12 13

haagch commented on 2011-05-22 18:10

WTF

if [ -d ${_gitname} ]; then
rm -rf ${_gitname}

Why would you force a redownload when it is already downloaded?

Anyway, aborted for me with

...
/usr/bin/ld: skipping incompatible /usr/lib32/libpangocairo-1.0.so when searching for -lpangocairo-1.0
/usr/bin/ld: skipping incompatible /usr/lib32/libgdk_pixbuf-2.0.so when searching for -lgdk_pixbuf-2.0
/usr/lib32/libcairo.so: could not read symbols: File in wrong format

I have no idea what it wanted to do in /usr/lib32 anyway.

FredBezies commented on 2011-03-27 07:18

added xulrunner as depend for gnash. Needed for 0.8.10-dev version.

http://wiki.gnashdev.org/BuildBot

FredBezies commented on 2011-02-17 10:44

rafmav : cleaned up this PKGBUILD.

Here is the new namcap log :

namcap gnash-trunk-git-20110217-1-x86_64.pkg.tar.xz
gnash-trunk-git W: Referenced library 'libgnashbase-0.8.9dev.so' is an uninstalled dependency
gnash-trunk-git W: Referenced library 'libgnashcore-0.8.9dev.so' is an uninstalled dependency
gnash-trunk-git W: Referenced library 'libgnashrender-0.8.9dev.so' is an uninstalled dependency
gnash-trunk-git W: Referenced library 'libgnashmedia-0.8.9dev.so' is an uninstalled dependency
gnash-trunk-git W: Referenced library 'libgnashvaapi-0.8.9dev.so' is an uninstalled dependency
gnash-trunk-git W: Referenced library 'libgnashsound-0.8.9dev.so' is an uninstalled dependency

Far better, don't you think so ?

Thanks for the comment !

rafmav commented on 2011-02-17 08:43

namcap tells several erros:
uninstalled dependencies, dependencies included but not needed, non-standard directories, not common-license...



gnash-trunk-git 20110217-1 (jeu. févr. 17 08:41:31 CET 2011)

==> Installer gnash-trunk-git ? [O/n]
==> [A]fficher le contenu du paquet [V]érifier avec namcap
==> ------------------------------------------------------
==> v
gnash-trunk-git W: Referenced library 'libgnashbase-0.8.9dev.so' is an uninstalled dependency
gnash-trunk-git W: Referenced library 'libgnashcore-0.8.9dev.so' is an uninstalled dependency
gnash-trunk-git W: Referenced library 'libgnashrender-0.8.9dev.so' is an uninstalled dependency
gnash-trunk-git W: Referenced library 'libgnashmedia-0.8.9dev.so' is an uninstalled dependency
gnash-trunk-git W: Referenced library 'libgnashsound-0.8.9dev.so' is an uninstalled dependency
gnash-trunk-git W: Dependency included and not needed ('atk')
gnash-trunk-git W: Dependency included but already satisfied ('libxml2')
gnash-trunk-git W: Dependency included and not needed ('ffmpeg')
gnash-trunk-git W: Dependency included and not needed ('boost')
gnash-trunk-git W: Dependency included and not needed ('pango')
gnash-trunk-git W: Dependency included and not needed ('libxi')
gnash-trunk-git W: Dependency included but already satisfied ('gstreamer0.10')
gnash-trunk-git W: Dependency included and not needed ('gstreamer0.10-ffmpeg')
gnash-trunk-git W: Dependency included and not needed ('gstreamer0.10-base-plugins')
gnash-trunk-git W: Dependency included and not needed ('gstreamer0.10-good-plugins')
gnash-trunk-git W: Dependency included and not needed ('gstreamer0.10-bad-plugins')
gnash-trunk-git W: Dependency included and not needed ('gstreamer0.10-ugly-plugins')
gnash-trunk-git W: File (usr/etc) exists in a non-standard directory.
gnash-trunk-git W: File (usr/etc/gnashrc) exists in a non-standard directory.
gnash-trunk-git W: File (usr/etc/gnashpluginrc) exists in a non-standard directory.
gnash-trunk-git W: File (usr/lib/gnash/libgnashmedia.la) is a libtool file
gnash-trunk-git W: File (usr/lib/gnash/libgnashcore.la) is a libtool file
gnash-trunk-git W: File (usr/lib/gnash/libgnashsound.la) is a libtool file
gnash-trunk-git W: File (usr/lib/gnash/libgnashrender.la) is a libtool file
gnash-trunk-git W: File (usr/lib/gnash/libgnashbase.la) is a libtool file
gnash-trunk-git E: GPLv3+ is not a common license (it's not in /usr/share/licenses/common/)

FredBezies commented on 2010-09-03 16:13

@Eothred : your PKGBUILD was nearly working. Just a typo to modify. And it works. Adopted and updated ;)

FredBezies commented on 2010-08-31 14:55

Will try your PKGBUILD asap.

Eothred commented on 2010-08-31 08:28

Ah, I'm sorry, forgot to modify the "time limit" on the pastebin I suppose. And I managed to delete the PKGBUILD :)

Anyway, here is a new one: http://aur.pastebin.com/dXjhhmdH

Note I changed the gitname variable since this new suggestion of mine delete the gitname folder... I think this works (I didn't go all the way to compilation, but configuration started and it looks OK).

FredBezies commented on 2010-08-27 05:26

As your pastebin was not more available, I tried this option, but it didn't work :

==> Connecting to GIT server...
Cloning into gnash...
remote: Counting objects: 2671, done.
remote: Compressing objects: 100% (1534/1534), done.
remote: Total 2671 (delta 1413), reused 1593 (delta 1048)
Receiving objects: 100% (2671/2671), 6.47 MiB | 1.11 MiB/s, done.
Resolving deltas: 100% (1413/1413), done.
==> GIT checkout done or server timeout.
Cloning into gnash-build...
fatal: attempt to fetch/clone from a shallow repository
fatal: The remote end hung up unexpectedly
Abandon...

FredBezies commented on 2010-08-25 14:55

I will look at it asap and adapt it from your PKGBUILD. Thanks for the tip.

Eothred commented on 2010-08-25 07:48

Good package, but could I propose to take advantage of the --depth option in git clone? It does take quite a while (and is quite an unnecessary load on the server) to clone the entire repo. See my suggested PKGBUILD here as an example: http://pastebin.ca/1924933